| OpenMS 2.5.0

FuzzyDiff

Compares two files, tolerating numeric differences.

In the diff output, "position" refers to the characters in the string, whereas "column" is meant for the text editor.

Only one of 'ratio' or 'absdiff' has to be satisfied. Use "absdiff" to deal with cases like "zero vs. epsilon".

The command line parameters of this tool are:

    FuzzyDiff -- Compares two files, tolerating numeric differences.

    Full documentation: http://www.openms.de/documentation/UTILS_FuzzyDiff.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      FuzzyDiff <options>

    Options (mandatory options marked with '*'):

      -in1 <file>*         First input file

      -in2 <file>*         Second input file

      -ratio <double>      Acceptable relative error. Only one of 'ratio' or 'absdiff' has to be satisfied.  Use

                           "absdiff" to deal with cases like "zero vs. epsilon". (default: '1.0' min: '1.0')

      -absdiff <double>    Acceptable absolute difference. Only one of 'ratio' or 'absdiff' has to be satisfied.

                           (default: '0.0' min: '0.0')

      -verbose <int>       Set verbose level:

                           0 = very quiet mode (absolutely no output)

                           1 = quiet mode (no output unless differences detected)

                           2 = default (include summary at end)

                           3 = continue after errors

                           (default: '2' min: '0' max: '3')

      -tab_width <int>     Tabulator width, used for calculation of column numbers (default: '8' min: '1')

      -first_column <int>  Number of first column, used for calculation of column numbers (default: '1' min: '0')

    Common UTIL options:

      -ini <file>          Use the given TOPP INI file

      -threads <n>         Sets the number of threads allowed to be used by the TOPP tool (default: '1')

      -write_ini <file>    Writes the default configuration file

      --help               Shows options

      --helphelp           Shows all options (including advanced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+FuzzyDiff Compares two files, tolerating numeric differences.
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'FuzzyDiff'
in1 first input file input file
in2 second input file input file
ratio 1.0 acceptable relative error. Only one of 'ratio' or 'absdiff' has to be satisfied. Use "absdiff" to deal with cases like "zero vs. epsilon".1.0:∞
absdiff 0.0 acceptable absolute difference. Only one of 'ratio' or 'absdiff' has to be satisfied. 0.0:∞
whitelist[ Lines containing one of these strings are skipped
matched_whitelist[] Lines where one file contains one string and the other file another string are skipped. Input is given as list of colon separated tuples, e.g. String1:String2 String3:String4
verbose 2 set verbose level:
0 = very quiet mode (absolutely no output)
1 = quiet mode (no output unless differences detected)
2 = default (include summary at end)
3 = continue after errors
0:3
tab_width 8 tabulator width, used for calculation of column numbers 1:∞
first_column 1 number of first column, used for calculation of column numbers 0:∞
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false